<div>
  <h2 id="page-heading" data-cy="SaksiHeading">
    <span>Saksis</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-saksi"
        [routerLink]="['/saksi/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Saksi</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (saksis?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Saksis found</span>
    </div>
  }

  @if (saksis && saksis.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="titel">
              <div class="d-flex">
                <span>Titel</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="komparisi">
              <div class="d-flex">
                <span>Komparisi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tts">
              <div class="d-flex">
                <span>Tts</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="notaris.id">
              <div class="d-flex">
                <span>Notaris</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody
          infinite-scroll
          (scrolled)="loadPage(page + 1)"
          [infiniteScrollDisabled]="page - 1 >= links['last']"
          [infiniteScrollDistance]="0"
        >
          @for (saksi of saksis; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/saksi', saksi.id, 'view']">{{ saksi.id }}</a>
              </td>
              <td>{{ saksi.titel }}</td>
              <td>{{ saksi.nama }}</td>
              <td>{{ saksi.komparisi }}</td>
              <td>{{ saksi.tts }}</td>
              <td>{{ saksi.recordStatus }}</td>
              <td>{{ saksi.updateBy }}</td>
              <td>{{ saksi.updateOn | formatMediumDatetime }}</td>
              <td>
                @if (saksi.notaris) {
                  <div>
                    <a [routerLink]="['/notaris', saksi.notaris.id, 'view']">{{ saksi.notaris.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/saksi', saksi.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/saksi', saksi.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(saksi)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
</div>
